Skip to main content
GET
/
crm
/
v3
/
lists
/
object-type-id
/
{objectTypeId}
/
name
/
{listName}
Retrieve List by Name
curl --request GET \
  --url https://api.hubapi.com/crm/v3/lists/object-type-id/{objectTypeId}/name/{listName} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hubapi.com/crm/v3/lists/object-type-id/{objectTypeId}/name/{listName}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hubapi.com/crm/v3/lists/object-type-id/{objectTypeId}/name/{listName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "list": {
    "listId": "<string>",
    "listVersion": 123,
    "name": "<string>",
    "objectTypeId": "<string>",
    "processingStatus": "<string>",
    "processingType": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "createdById": "<string>",
    "deletedAt": "2023-11-07T05:31:56Z",
    "filterBranch": {
      "filterBranchOperator": "<string>",
      "filterBranchType": "OR",
      "filterBranches": [
        {
          "filterBranchOperator": "<string>",
          "filterBranchType": "AND",
          "filterBranches": "<array>",
          "filters": [
            {
              "filterType": "PROPERTY",
              "operation": {
                "includeObjectsWithNoValueSet": true,
                "operationType": "BOOL",
                "operator": "<string>",
                "value": true
              },
              "property": "<string>"
            }
          ]
        }
      ],
      "filters": [
        {
          "filterType": "PROPERTY",
          "operation": {
            "includeObjectsWithNoValueSet": true,
            "operationType": "BOOL",
            "operator": "<string>",
            "value": true
          },
          "property": "<string>"
        }
      ]
    },
    "filtersUpdatedAt": "2023-11-07T05:31:56Z",
    "listPermissions": {
      "teamsWithEditAccess": [
        123
      ],
      "usersWithEditAccess": [
        123
      ]
    },
    "membershipSettings": {
      "includeUnassigned": true,
      "membershipTeamId": 123
    },
    "size": 123,
    "updatedAt": "2023-11-07T05:31:56Z",
    "updatedById": "<string>"
  }
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

listName
string
required

The name of the list to fetch. This is not case sensitive.

objectTypeId
string
required

The object type ID of the object types stored by the list to fetch. For example, 0-1 for a CONTACT list.

Query Parameters

includeFilters
boolean
default:false

A flag indicating whether or not the response object list definition should include a filter branch definition. By default, object list definitions will not have their filter branch definitions included in the response.

Response

successful operation

The response for a list fetch request.

list
object
required

An object list definition.

Last modified on March 30, 2026